# Learning objectives, activities and assessment 💡

## Learning objectives
At the end of the statics part of this module, you show to be able to:
1.	Translate the main steps of the matrix method into a set of programming classes with distinct tasks
2. Extend the classes to solve arbitrarily complex frame problems in statics
3. Postprocess the analyses and recover continuum fields exactly

The matrix method for statics is part of the unit 2 of the course CIEM5000 Base: Structural Engineering.

## Learning activities
In this submodule, you'll have two lectures where we cover the content. This book represents the content of those lectures in [](lecture1.md) and [](lecture2.md) 

Next to that, you'll work on applying the content in two workshops. The assignments as part of these workshops are not-graded. This book represents the content of those workshops in [](workshop1.md) and [](workshop2.md).

Additional assignment are available to work on, which you should be able to make after finishing the workshops. These are available in [](additional.md).

On Thursdays in week 7 and 8 there'll be question hours for the full CIEM5000 module. During these you'll have the opportunity to ask questions on this submodule too.

(exam-general)=
## Assessment
The learning will be assessed with one assignment provided to you after the second workshops. It is shown in [](assignment.md).

This assignment is part of the Assignment Portfolio of unit 2, where it counts for 33%. This portfolio will account for 20% of your total grade of CIEM5000.

The deadline of the assignment is April 18th, 23:59, although you're encouraged to finish it directly after completing workshop 2. Doing so allows you to split the workload evenly.

You can take the resit of this assignment in Q4. If you choose to do so, you can improve your first submission. The deadline of the resit is June 20th, 23:59.

The assignment is graded according to the following rubric:

:::{table} Rubric
:widths: auto
:align: center
:name: rubric

| Criteria | Insufficient | Sufficient | Good|
| --- | --- | --- | --- |
| New implementations | 1.4 points <br> Not all implementations for correct nodal displacements were made <br> OR <br> Implementations are not correct | 2.0125 points <br> Implementations for correct nodal displacements are correct <br> AND <br> Argumentation is not correct, insufficient or missing | 3.5 points <br> Implementations for correct nodal displacements are correct <br> AND <br> Argumentation is correct and sufficient |
| Sanity checks | 1.4 points <br> Not for all implementations for correct nodal displacements sanity checks were performed<br>OR<br>Argumentation is not correct, insufficient or missing | 2.0125 points <br> For all implementations for correct nodal displacements sanity checks were performed | 3.5 points <br> Sanity checks were performed for all new code implementations were performed <br>AND<br>Argumentation is correct and sufficient |
| Numerical results | 0.8 points <br> Not all results are correct<br>OR<br>Not all required implementations were made | 1.15 points<br>At least nodal displacements are correct with only a few inconsistencies in other results | 2 points <br> All results are correct |
| Style | 0.4 points <br> Coding is unclear<br>OR<br>Report is unclear<br>If too much is missing or unclear, the full assignment is graded with a 1 | 0.575 points<br> Coding and report are readable and functional | 1 points <br> Coding and report are well documented |

:::

The assignment is not made under surveillance. You are allowed to collaborate, but you'll need to hand in your own work. You'll have to submit your work to a personal GitHub repository.

Feedback for the assignment will be provided via Brightspace.
