selector_to_html = {"a[href=\"#how-to-use-this-teachbook\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">How to use this TeachBook \ud83d\udcd8<a class=\"headerlink\" href=\"#how-to-use-this-teachbook\" title=\"Link to this heading\">#</a></h1><p>This TeachBook combines the course schedule and content. Announcement an grading results are provided via Brightspace.</p>", "a[href=\"#spot-a-mistake\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Spot a mistake?<a class=\"headerlink\" href=\"#spot-a-mistake\" title=\"Link to this heading\">#</a></h2><p>If you spot any mistakes, you can click on <svg aria-hidden=\"true\" class=\"sd-octicon sd-octicon-mark-github\" height=\"1.0em\" version=\"1.1\" viewbox=\"0 0 16 16\" width=\"1.0em\"><path d=\"M8 0c4.42 0 8 3.58 8 8a8.013 8.013 0 0 1-5.45 7.59c-.4.08-.55-.17-.55-.38 0-.27.01-1.13.01-2.2 0-.75-.25-1.23-.54-1.48 1.78-.2 3.65-.88 3.65-3.95 0-.88-.31-1.59-.82-2.15.08-.2.36-1.02-.08-2.12 0 0-.67-.22-2.2.82-.64-.18-1.32-.27-2-.27-.68 0-1.36.09-2 .27-1.53-1.03-2.2-.82-2.2-.82-.44 1.1-.16 1.92-.08 2.12-.51.56-.82 1.28-.82 2.15 0 3.06 1.86 3.75 3.64 3.95-.23.2-.44.55-.51 1.07-.46.21-1.61.55-2.33-.66-.15-.24-.6-.83-1.23-.82-.67.01-.27.38.01.53.34.19.73.9.82 1.13.16.45.68 1.31 2.69.94 0 .67.01 1.3.01 1.49 0 .21-.15.45-.55.38A7.995 7.995 0 0 1 0 8c0-4.42 3.58-8 8-8Z\"></path></svg> \u2013&gt; <span class=\"fa fa-lightbulb\"></span>, login with a GitHub account and report your issue. It\u2019ll be solved soon!</p>", "a[href=\"#personalised-book\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Personalised book<a class=\"headerlink\" href=\"#personalised-book\" title=\"Link to this heading\">#</a></h2><p>If you\u2019d like to make this TeachBook more personal by adding (private or public) annotations I can recommend the <a class=\"reference external\" href=\"https://web.hypothes.is/start/\">Hypothesis extension</a>. This is only for your own use, I won\u2019t monitor public post on this platform.</p>", "a[href=\"changelog.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Changelog<a class=\"headerlink\" href=\"#changelog\" title=\"Link to this heading\">#</a></h1><p>This changelog will include all changes, except for minor adjustments like typos.</p>", "a[href=\"#interactive-features\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Interactive features<a class=\"headerlink\" href=\"#interactive-features\" title=\"Link to this heading\">#</a></h2><p>This TeachBook includes interactive coding features! Click <span class=\"fa fa-rocket\"></span> \u2013&gt; <span class=\"guilabel\">Live Code</span> on the top right corner of interactive page to start up a python-kernel in your browser! Any interactions you do here are not stored. You can also download those pages as a notebook to apply the content on your own computer. For the practice exercises this book shows a preview of the notebooks and py-files. These pages allow you to test the functionality. However, please fork and clone the assignment to work on it locally from <a class=\"reference external\" href=\"https://github.com/CIEM5000-2025/practice-assignments\">GitHub</a>. This allows you to edit multiple files simultaneously and save your work.</p>", "a[href=\"#version\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Version<a class=\"headerlink\" href=\"#version\" title=\"Link to this heading\">#</a></h2><p>This is the <code class=\"docutils literal notranslate\"><span class=\"pre\">2024-2025</span></code>-version of the TeachBook. Updates during this course are communicated on the relevant pages and in <a class=\"reference internal\" href=\"changelog.html\"><span class=\"std std-doc\">the changelog</span></a>. After each of the workshops, updates will follow containing the solutions to the practice exercises.</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
