selector_to_html = {"a[href=\"#setting-up-global-equations-directly\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Setting up global equations directly<a class=\"headerlink\" href=\"#setting-up-global-equations-directly\" title=\"Link to this heading\">#</a></h1><p>Now that you\u2019ve seen the final matrix formulation, let\u2019s set up a procedure to find it directly!</p>", "a[href=\"#identify-degrees-of-freedom\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">1. Identify degrees of freedom<a class=\"headerlink\" href=\"#identify-degrees-of-freedom\" title=\"Link to this heading\">#</a></h2><p>The nodal displacement are the degrees of freedom. Let\u2019s define all of them, even though some seem to be fixed:</p>", "a[href=\"#element-2\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Element <span class=\"math notranslate nohighlight\">\\((2)\\)</span><a class=\"headerlink\" href=\"#element-2\" title=\"Link to this heading\">#</a></h3><p>Now let\u2019s add the second element, linking the second and third nodal displacements with the second and third nodal forces:</p>", "a[href=\"#initialize-the-system-with-zeros\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">2. Initialize the system with zeros<a class=\"headerlink\" href=\"#initialize-the-system-with-zeros\" title=\"Link to this heading\">#</a></h2><p>As the amount of degrees of freedom is known, the size of our global matrices and vectors are defined and they can be initialized with zeros:</p>", "a[href=\"#assemble-stiffness-element-by-element\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">3. Assemble stiffness, element by element<a class=\"headerlink\" href=\"#assemble-stiffness-element-by-element\" title=\"Link to this heading\">#</a></h2><p>Now let\u2019s add the local stiffness matrices element by element. We can use the default stiffness matrix <span class=\"math notranslate nohighlight\">\\(\\cfrac{EA}{\\ell}\\begin{bmatrix} 1&amp;-1\\\\-1&amp;1 \\end{bmatrix}\\)</span> and places its parts in the global stiffness matrix where the index of the displacement (columns) and forces (rows) match.</p>", "a[href=\"#apply-external-loads\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">4. Apply external loads<a class=\"headerlink\" href=\"#apply-external-loads\" title=\"Link to this heading\">#</a></h2><p>Now, the external loads can be applied. These external loads are called Neumann boundary conditions. These act directly on our nodes, so can be directly added to the global force vector. The sign of the forces to be added aligns with the positive direction of the nodal displacements.</p>", "a[href=\"#solve-for-the-unknown-nodal-displacements\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">6. Solve for the unknown nodal displacements<a class=\"headerlink\" href=\"#solve-for-the-unknown-nodal-displacements\" title=\"Link to this heading\">#</a></h2><p>Finally, we can solve for the unknown nodal displacements. For now, we can solve this system by only taking into account the second and third row:</p>", "a[href=\"#extension2fields2\"]": "<figure class=\"align-center\" id=\"extension2fields2\">\n<img alt=\"../_images/extension2fields.svg\" src=\"../_images/extension2fields.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 9 </span><span class=\"caption-text\">Extension bar with nodal load</span><a class=\"headerlink\" href=\"#extension2fields2\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#apply-prescribed-displacements\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">5. Apply prescribed displacements<a class=\"headerlink\" href=\"#apply-prescribed-displacements\" title=\"Link to this heading\">#</a></h2><p>Now, the external loads can be applied. These external loads are called Neumann boundary conditions. These act directly on our nodes, so can be directly added to the global force vector. The sign of the forces to be added aligns with the positive direction of the nodal displacements.</p><p>The Neumann boundary condition causes a prescribed displacement <span class=\"math notranslate nohighlight\">\\(u_1 = 0\\)</span></p>", "a[href=\"#element-1\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Element <span class=\"math notranslate nohighlight\">\\((1)\\)</span><a class=\"headerlink\" href=\"#element-1\" title=\"Link to this heading\">#</a></h3><p>The first element links the first and second nodal displacement with the first and second nodal forces:</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
