selector_to_html = {"a[href=\"#solve-for-displacements\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Solve for displacements<a class=\"headerlink\" href=\"#solve-for-displacements\" title=\"Link to this heading\">#</a></h2><p>Using <span class=\"math notranslate nohighlight\">\\(F^{(1)} = F^{(2)}\\)</span> the displacement <span class=\"math notranslate nohighlight\">\\(u_2\\)</span> can now be solved for:</p>", "a[href=\"#extension2fieldsq\"]": "<figure class=\"align-center\" id=\"extension2fieldsq\">\n<img alt=\"../_images/extension2fieldsdisp.svg\" src=\"../_images/extension2fieldsdisp.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 4 </span><span class=\"caption-text\">Statically indeterminate extension bar</span><a class=\"headerlink\" href=\"#extension2fieldsq\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#extension2fieldispdet\"]": "<figure class=\"align-center\" id=\"extension2fieldispdet\">\n<img alt=\"../_images/extension2fieldsdispdet.svg\" src=\"../_images/extension2fieldsdispdet.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 5 </span><span class=\"caption-text\">Equivalent statically determinate extension bar if <span class=\"math notranslate nohighlight\">\\(F^{(1)} = F^{(2)}\\)</span></span><a class=\"headerlink\" href=\"#extension2fieldispdet\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#equivalence-with-matrix-method\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Equivalence with matrix method<a class=\"headerlink\" href=\"#equivalence-with-matrix-method\" title=\"Link to this heading\">#</a></h2><p>The matrix method applies exactly the same principle as the displacement method; both are solving force equilibrium of nodal forces to find nodal displacements.</p><p>However, the displacement method becomes difficult to apply if multiple nodal displacements are taken into account, as nodal forces have effect on multiple nodal displacements. Furthermore, the calculation of the displacements of each part can become tedious because they\u2019re problem-dependent and external forces have to be taken into account in the full derivation.</p>", "a[href=\"#displacements-of-all-parts-statically-equivalent-structure\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Displacements of all parts statically equivalent structure<a class=\"headerlink\" href=\"#displacements-of-all-parts-statically-equivalent-structure\" title=\"Link to this heading\">#</a></h2><p>Due to the nodal load, a constant section force is present in both fields. Using the constitutive equations <span class=\"math notranslate nohighlight\">\\(\\Delta \\ell = \\cfrac{N \\ell}{EA}\\)</span>, the corresponding displacement <span class=\"math notranslate nohighlight\">\\(u_2\\)</span> can be found. For the load <span class=\"math notranslate nohighlight\">\\(q\\)</span>, the displacement can be calculated using the kinematic, constitutive and kinematic relations. This leads to <span class=\"math notranslate nohighlight\">\\(u_2\\)</span> as a function of <span class=\"math notranslate nohighlight\">\\(F_1\\)</span> and <span class=\"math notranslate nohighlight\">\\(F_2\\)</span>:</p>", "a[href=\"#recap-displacement-method\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Recap displacement method<a class=\"headerlink\" href=\"#recap-displacement-method\" title=\"Link to this heading\">#</a></h1><p>In the previous <a class=\"reference internal\" href=\"recap.html\"><span class=\"std std-doc\">chapter</span></a> you\u2019ve seen how solving for integration constants because a labour-intensive process for more complicated structures. A way of circumventing that is solving for nodal displacements! You might have seen that before when solving statically indeterminate structures using the displacement method!</p>", "a[href=\"#id1\"]": "<table class=\"table table-center\" id=\"id1\">\n<caption><span class=\"caption-number\">Table 3 </span><span class=\"caption-text\">Equivalence displacement method and matrix method</span><a class=\"headerlink\" href=\"#id1\" title=\"Link to this table\">#</a></caption>\n<thead>\n<tr class=\"row-odd\"><th class=\"head text-center\"><p>Displacement method</p></th>\n<th class=\"head text-center\"><p>Matrix method</p></th>\n</tr>\n</thead>\n<tbody>\n<tr class=\"row-even\"><td class=\"text-center\"><p>Convert structure in two statically determinate parts</p></td>\n<td class=\"text-center\"><p>Convert structure in mostly identical elements</p></td>\n</tr>\n<tr class=\"row-odd\"><td class=\"text-center\"><p>Evaluate one nodal displacements for each parts</p></td>\n<td class=\"text-center\"><p>Evaluate all free nodal displacements using standard elements</p></td>\n</tr>\n<tr class=\"row-even\"><td class=\"text-center\"><p>Solve nodal equilibrium where the two statically determinate parts are connected</p></td>\n<td class=\"text-center\"><p>Solve nodal equilibrium in matrix form <span class=\"math notranslate nohighlight\">\\(\\mathbf{K}\\mathbf{u}=\\mathbf{f}\\)</span></p></td>\n</tr>\n</tbody>\n</table>", "a[href=\"recap.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Recap differential equations for structures<a class=\"headerlink\" href=\"#recap-differential-equations-for-structures\" title=\"Link to this heading\">#</a></h1><p>Let\u2019s recap how to solve a structure using differential equations.</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
