selector_to_html = {"a[href=\"#solving-differential-equations-of-more-fields\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Solving differential equations of more fields<a class=\"headerlink\" href=\"#solving-differential-equations-of-more-fields\" title=\"Link to this heading\">#</a></h2><p>The same approach can be taken to tackle problems with more field, like the one below:</p>", "a[href=\"#equivalence-with-matrix-method\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Equivalence with matrix method<a class=\"headerlink\" href=\"#equivalence-with-matrix-method\" title=\"Link to this heading\">#</a></h2><p>While both methods segment the structure in different parts, the matrix method applies a different principle in solving the structure than when directly solving differential equations: instead of solving for integration constants, nodal displacements are solved for. This shows big potential because setting up all the boundary- and interface conditions can be tedious and is problem-specific. The matrix method applies a generic algorithmic approach to combine all unknown nodal displacements</p><p>The similarities and differences are shown in the table below.</p>", "a[href=\"#bigframe\"]": "<figure class=\"align-center\" id=\"bigframe\">\n<img alt=\"../_images/bigframe.svg\" src=\"../_images/bigframe.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 3 </span><span class=\"caption-text\">Frame structure with many fields</span><a class=\"headerlink\" href=\"#bigframe\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#solving-differential-equation-of-one-field-by-hand\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Solving differential equation of one field by hand<a class=\"headerlink\" href=\"#solving-differential-equation-of-one-field-by-hand\" title=\"Link to this heading\">#</a></h2><p>This differential equations can be solved by integrating:</p>", "a[href=\"#solving-differential-equation-of-one-field-using-sympy\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Solving differential equation of one field using SymPy<a class=\"headerlink\" href=\"#solving-differential-equation-of-one-field-using-sympy\" title=\"Link to this heading\">#</a></h2><p>The differential equation can also be solved using SymPy:</p>", "a[href=\"#extension2fields\"]": "<figure class=\"align-center\" id=\"extension2fields\">\n<img alt=\"../_images/extension2fields.svg\" src=\"../_images/extension2fields.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 2 </span><span class=\"caption-text\">Extension bar with nodal load</span><a class=\"headerlink\" href=\"#extension2fields\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#solving-differential-equations-of-two-fields\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Solving differential equations of two fields<a class=\"headerlink\" href=\"#solving-differential-equations-of-two-fields\" title=\"Link to this heading\">#</a></h2><p>A similar approach can be taken when solving two fields.</p><p>Let\u2019s investigate the following structure, consisting of two fields.</p>", "a[href=\"#id1\"]": "<table class=\"table table-center\" id=\"id1\">\n<caption><span class=\"caption-number\">Table 2 </span><span class=\"caption-text\">Equivalence solving differential equations and matrix method</span><a class=\"headerlink\" href=\"#id1\" title=\"Link to this table\">#</a></caption>\n<thead>\n<tr class=\"row-odd\"><th class=\"head text-center\"><p>Solving differential equations</p></th>\n<th class=\"head text-center\"><p>Matrix method</p></th>\n</tr>\n</thead>\n<tbody>\n<tr class=\"row-even\"><td class=\"text-center\"><p>Segment structure in separate fields</p></td>\n<td class=\"text-center\"><p>Segment structure in mostly repetitive elements</p></td>\n</tr>\n<tr class=\"row-odd\"><td class=\"text-center\"><p>Define all boundary- and interface conditions</p></td>\n<td class=\"text-center\"><p>Define relations in generic algorithmic manner</p></td>\n</tr>\n<tr class=\"row-even\"><td class=\"text-center\"><p>Solve for integration constants <span class=\"math notranslate nohighlight\">\\(C_1, C_2, ...\\)</span></p></td>\n<td class=\"text-center\"><p>Solve nodal displacements <span class=\"math notranslate nohighlight\">\\(u_1, u_2, ...\\)</span></p></td>\n</tr>\n</tbody>\n</table>", "a[href=\"#recap-differential-equations-for-structures\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Recap differential equations for structures<a class=\"headerlink\" href=\"#recap-differential-equations-for-structures\" title=\"Link to this heading\">#</a></h1><p>Let\u2019s recap how to solve a structure using differential equations.</p>", "a[href=\"#bending1field\"]": "<figure class=\"align-center\" id=\"bending1field\">\n<img alt=\"../_images/bending1field.svg\" src=\"../_images/bending1field.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 1 </span><span class=\"caption-text\">Cantilever beam with distributed load</span><a class=\"headerlink\" href=\"#bending1field\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
