selector_to_html = {"a[href=\"#eqwork3\"]": "<figure class=\"align-center\" id=\"eqwork3\">\n<img alt=\"../_images/eqwork3.svg\" src=\"../_images/eqwork3.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 13 </span><span class=\"caption-text\">Single extension element with point load <span class=\"math notranslate nohighlight\">\\(P\\)</span> halfway in comparison to element loaded by vertical forces and bending moments at the ends</span><a class=\"headerlink\" href=\"#eqwork3\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"../lecture1/single_element.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Force-displacement relations single extension element<a class=\"headerlink\" href=\"#force-displacement-relations-single-extension-element\" title=\"Link to this heading\">#</a></h1><p>In the previous <a class=\"reference internal\" href=\"../lecture1/displacement.html\"><span class=\"std std-doc\">chapter</span></a> you\u2019ve seen how you can solve structure using nodal displacements. However, the approach was still very problem-dependent. As proposed, the matrix method solves this by defining a default element which can be solved for a priori.</p>", "a[href=\"#distributed-load\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Distributed load<a class=\"headerlink\" href=\"#distributed-load\" title=\"Link to this heading\">#</a></h3><p>The same can be done for a distributed load:</p>", "a[href=\"#example\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Example<a class=\"headerlink\" href=\"#example\" title=\"Link to this heading\">#</a></h2><p>Let us use what we have just learned on a simple example:</p>", "a[href=\"#shape-functions\"]": "<figure class=\"align-center\" id=\"shape-functions\">\n<img alt=\"../_images/shape_functions.svg\" src=\"../_images/shape_functions.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 14 </span><span class=\"caption-text\">Four shape functions</span><a class=\"headerlink\" href=\"#shape-functions\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#extensionelementq\"]": "<figure class=\"align-center\" id=\"extensionelementq\">\n<img alt=\"../_images/extensionelementq.svg\" src=\"../_images/extensionelementq.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 12 </span><span class=\"caption-text\">Single extension element with distributed load <span class=\"math notranslate nohighlight\">\\(q\\)</span></span><a class=\"headerlink\" href=\"#extensionelementq\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#point-load\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Point load<a class=\"headerlink\" href=\"#point-load\" title=\"Link to this heading\">#</a></h3><p>Let\u2019s consider another example in which the application of the differential equations are not trivial: we\u2019ll introduce a discontinuous force in the form of a point load halfway the element. We\u2019ll compare this with the same element loaded by vertical forces and bending moments at the ends:</p>", "a[href=\"../lecture1/directly.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Setting up global equations directly<a class=\"headerlink\" href=\"#setting-up-global-equations-directly\" title=\"Link to this heading\">#</a></h1><p>Now that you\u2019ve seen the final matrix formulation, let\u2019s set up a procedure to find it directly!</p>", "a[href=\"#combine-elements\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Combine elements<a class=\"headerlink\" href=\"#combine-elements\" title=\"Link to this heading\">#</a></h2><p>As before, we can glue elements together by applying nodal equilibrium:</p><p>This leads to:</p>", "a[href=\"../lecture1/recap.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Recap differential equations for structures<a class=\"headerlink\" href=\"#recap-differential-equations-for-structures\" title=\"Link to this heading\">#</a></h1><p>Let\u2019s recap how to solve a structure using differential equations.</p>", "a[href=\"#force-displacement-relations-using-differential-equations\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Force-displacement relations using differential equations<a class=\"headerlink\" href=\"#force-displacement-relations-using-differential-equations\" title=\"Link to this heading\">#</a></h2><p>As <a class=\"reference internal\" href=\"../lecture1/single_element.html\"><span class=\"std std-doc\">before</span></a>, we can derive the force-displacement relations of a single extension element. However, now let\u2019s include the loads, for example a continuous load <span class=\"math notranslate nohighlight\">\\(q\\)</span></p>", "a[href=\"#element-loads\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Element loads<a class=\"headerlink\" href=\"#element-loads\" title=\"Link to this heading\">#</a></h1><p>As the matrix method is a discrete approach, nodal loads were treated with ease. However, what to do with continuous loads or loads which are not applied at the nodes?</p>", "a[href=\"#force-displacement-relations-using-conservation-of-work\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Force-displacement relations using conservation of work<a class=\"headerlink\" href=\"#force-displacement-relations-using-conservation-of-work\" title=\"Link to this heading\">#</a></h2><h3>Point load<a class=\"headerlink\" href=\"#point-load\" title=\"Link to this heading\">#</a></h3><p>Let\u2019s consider another example in which the application of the differential equations are not trivial: we\u2019ll introduce a discontinuous force in the form of a point load halfway the element. We\u2019ll compare this with the same element loaded by vertical forces and bending moments at the ends:</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
