selector_to_html = {"a[href=\"#workshop-1\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Workshop 1<a class=\"headerlink\" href=\"#workshop-1\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s workshop you\u2019ll implement and check missing components, and solve a complicated frame.</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
