selector_to_html = {"a[href=\"#apply\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Apply<a class=\"headerlink\" href=\"#apply\" title=\"Link to this heading\">#</a></h1><p>In this notebook you will solve a 2-element frame at the end of the notebook.</p><p>Our matrix method implementation is now completely stored in a local package, consisting of three classes.</p>", "a[href=\"#exercise_ws_2\"]": "<div class=\"exercise admonition\" id=\"exercise_ws_2\">\n<p class=\"admonition-title\">Exercise (Workshop 2 - Apply)</p>\n<section id=\"exercise-content\">\n<p>The final example for the workshops is the two-element frame above. Here you should make use of all the new code you implemented:</p>\n<ul class=\"simple\">\n<li><p>Set up the problem and compute a solution for <code class=\"docutils literal notranslate\"><span class=\"pre\">u_free</span></code>. Remember to consider the prescribed horizontal displacement <span class=\"math notranslate nohighlight\">\\(\\bar{u}\\)</span> at the right end of the structure.</p></li>\n<li><p>Compute and plot bending moment lines for both elements (in the local and global coordinate systems)</p></li>\n<li><p>Compute reactions at both supports</p></li>\n</ul>\n<div class=\"cell tag_thebe-remove-input-init docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matplotlib</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">plt</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">numpy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">np</span>\n<span class=\"n\">sys</span><span class=\"o\">.</span><span class=\"n\">path</span><span class=\"o\">.</span><span class=\"n\">insert</span><span class=\"p\">(</span><span class=\"mi\">1</span><span class=\"p\">,</span> <span class=\"s1\">'/matrixmethod_solution'</span><span class=\"p\">)</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matrixmethod_solution</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">mm</span>\n<span class=\"o\">%</span><span class=\"k\">config</span> InlineBackend.figure_formats = ['svg']\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell tag_disable-execution-cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">numpy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">np</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matplotlib</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">plt</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matrixmethod</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">mm</span>\n<span class=\"o\">%</span><span class=\"k\">config</span> InlineBackend.figure_formats = ['svg']\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"k\">for</span> <span class=\"n\">elem</span> <span class=\"ow\">in</span> <span class=\"n\">elems</span><span class=\"p\">:</span>\n    <span class=\"n\">u_elem</span> <span class=\"o\">=</span> <span class=\"n\">con</span><span class=\"o\">.</span><span class=\"n\">full_disp</span><span class=\"p\">(</span><span class=\"c1\">#YOUR CODE HERE)[#YOUR CODE HERE.global_dofs()]</span>\n    <span class=\"n\">elem</span><span class=\"o\">.</span><span class=\"n\">plot_displaced</span> <span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n</section>\n</div>", "a[href=\"#two-element-frame\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Two-element frame<a class=\"headerlink\" href=\"#two-element-frame\" title=\"Link to this heading\">#</a></h2><p>With:</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
