selector_to_html = {"a[href=\"#exercise_beam_kinked\"]": "<div class=\"exercise admonition\" id=\"exercise_beam_kinked\">\n<p class=\"admonition-title\">Exercise (Kinked beam)</p>\n<section id=\"exercise-content\">\n<p>Solve this problem.</p>\n<div class=\"cell tag_thebe-remove-input-init docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matplotlib</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">plt</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">numpy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">np</span>\n<span class=\"n\">sys</span><span class=\"o\">.</span><span class=\"n\">path</span><span class=\"o\">.</span><span class=\"n\">insert</span><span class=\"p\">(</span><span class=\"mi\">1</span><span class=\"p\">,</span> <span class=\"s1\">'/matrixmethod_solution'</span><span class=\"p\">)</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matrixmethod_solution</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">mm</span>\n<span class=\"o\">%</span><span class=\"k\">config</span> InlineBackend.figure_formats = ['svg']\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell tag_disable-execution-cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">numpy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">np</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matplotlib</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">plt</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matrixmethod</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">mm</span>\n<span class=\"o\">%</span><span class=\"k\">config</span> InlineBackend.figure_formats = ['svg']\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"c1\">#YOUR_CODE_HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n</section>\n</div>", "a[href=\"../matrixmethod/elements.html#exercise-beam-kinked-py\"]": "<div class=\"solution dropdown admonition\" id=\"matrixmethod/elements-solution-5\">\n<span id=\"exercise-beam-kinked-py\"></span>\n<p class=\"admonition-title\">Solution to<a class=\"reference internal\" href=\"../additional/beam_kinked.html#exercise_beam_kinked\"> Exercise (Kinked beam)</a></p>\n<section id=\"solution-content\">\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-python notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"k\">class</span><span class=\"w\"> </span><span class=\"nc\">EB_point_load_element</span> <span class=\"p\">(</span><span class=\"n\">Element</span><span class=\"p\">):</span>\n<span class=\"w\">    </span><span class=\"sd\">\"\"\"</span>\n<span class=\"sd\">    The EB_point_load_element class describes an element combining extension and Euler-Bernoulli bending with a point load.</span>\n\n<span class=\"sd\">    Attributes:</span>\n<span class=\"sd\">        node1 (Node): The first node of the element.</span>\n<span class=\"sd\">        node2 (Node): The second node of the element.</span>\n<span class=\"sd\">        EA (float): Axial stiffness of the element.</span>\n<span class=\"sd\">        EI (float): Bending stiffness of the element.</span>\n<span class=\"sd\">        F (float): Point load in local z direction.</span>\n<span class=\"sd\">        L (float): Length of the element.</span>\n\n<span class=\"sd\">    Methods:</span>\n<span class=\"sd\">        add_point_load_halfway(self, F): Adds a point load to the element.</span>\n<span class=\"sd\">        bending_moments(u_global, num_points=2): Calculates the bending moments along the element.</span>\n<span class=\"sd\">        full_displacement(u_global, num_points=2): Calculates the displacement along the element.</span>\n\n<span class=\"sd\">    Inherits from:</span>\n<span class=\"sd\">        Element: Base class for all structural elements.</span>\n<span class=\"sd\">    \"\"\"</span>\n    <span class=\"k\">def</span><span class=\"w\"> </span><span class=\"nf\">add_point_load_halfway</span><span class=\"p\">(</span><span class=\"bp\">self</span><span class=\"p\">,</span> <span class=\"n\">F</span><span class=\"p\">):</span>\n<span class=\"w\">        </span><span class=\"sd\">\"\"\"</span>\n<span class=\"sd\">        Adds a point load to the element.</span>\n\n<span class=\"sd\">        Parameters:</span>\n<span class=\"sd\">            F (float): Point load in local z direction.</span>\n\n<span class=\"sd\">        Returns:</span>\n<span class=\"sd\">            None</span>\n<span class=\"sd\">        \"\"\"</span>\n        <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">F</span> <span class=\"o\">=</span> <span class=\"n\">F</span>\n        <span class=\"n\">l</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">L</span>\n\n        <span class=\"n\">el</span> <span class=\"o\">=</span> <span class=\"p\">[</span><span class=\"mi\">0</span><span class=\"p\">,</span> <span class=\"n\">F</span> <span class=\"o\">/</span> <span class=\"mi\">2</span><span class=\"p\">,</span> <span class=\"o\">-</span> <span class=\"n\">F</span> <span class=\"o\">*</span> <span class=\"n\">l</span> <span class=\"o\">/</span> <span class=\"mi\">8</span><span class=\"p\">,</span> <span class=\"mi\">0</span><span class=\"p\">,</span> <span class=\"n\">F</span> <span class=\"o\">/</span> <span class=\"mi\">2</span><span class=\"p\">,</span> <span class=\"n\">F</span> <span class=\"o\">*</span> <span class=\"n\">l</span> <span class=\"o\">/</span> <span class=\"mi\">8</span><span class=\"p\">]</span>\n\n        <span class=\"n\">eg</span> <span class=\"o\">=</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">matmul</span><span class=\"p\">(</span><span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">Tt</span><span class=\"p\">,</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">array</span><span class=\"p\">(</span><span class=\"n\">el</span><span class=\"p\">))</span>\n\n        <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">nodes</span><span class=\"p\">[</span><span class=\"mi\">0</span><span class=\"p\">]</span><span class=\"o\">.</span><span class=\"n\">add_load</span><span class=\"p\">(</span><span class=\"n\">eg</span><span class=\"p\">[</span><span class=\"mi\">0</span><span class=\"p\">:</span><span class=\"mi\">3</span><span class=\"p\">])</span>\n        <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">nodes</span><span class=\"p\">[</span><span class=\"mi\">1</span><span class=\"p\">]</span><span class=\"o\">.</span><span class=\"n\">add_load</span><span class=\"p\">(</span><span class=\"n\">eg</span><span class=\"p\">[</span><span class=\"mi\">3</span><span class=\"p\">:</span><span class=\"mi\">6</span><span class=\"p\">])</span>\n\n    <span class=\"k\">def</span><span class=\"w\"> </span><span class=\"nf\">bending_moments</span> <span class=\"p\">(</span><span class=\"bp\">self</span><span class=\"p\">,</span> <span class=\"n\">u_global</span><span class=\"p\">,</span> <span class=\"n\">num_points</span><span class=\"o\">=</span><span class=\"mi\">2</span><span class=\"p\">):</span>\n<span class=\"w\">        </span><span class=\"sd\">\"\"\"</span>\n<span class=\"sd\">        Calculates the bending moments along the element.</span>\n\n<span class=\"sd\">        Args:</span>\n<span class=\"sd\">            u_global (numpy.ndarray): Global displacement vector of the element.</span>\n<span class=\"sd\">            num_points (int, optional): Number of points to calculate the bending moments. Default is 2.</span>\n\n<span class=\"sd\">        Returns:</span>\n<span class=\"sd\">            numpy.ndarray: Array of bending moments along the element.</span>\n<span class=\"sd\">        \"\"\"</span>\n        <span class=\"n\">L</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">L</span>\n        <span class=\"n\">F</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">F</span>\n        <span class=\"n\">EI</span><span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">EI</span>\n\n        <span class=\"n\">x</span> <span class=\"o\">=</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">linspace</span> <span class=\"p\">(</span> <span class=\"mf\">0.0</span><span class=\"p\">,</span> <span class=\"n\">L</span><span class=\"p\">,</span> <span class=\"n\">num_points</span> <span class=\"p\">)</span>\n        <span class=\"n\">M</span>  <span class=\"o\">=</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">zeros</span><span class=\"p\">(</span><span class=\"n\">num_points</span><span class=\"p\">)</span>\n\n        <span class=\"n\">ul</span> <span class=\"o\">=</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">matmul</span> <span class=\"p\">(</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">T</span><span class=\"p\">,</span> <span class=\"n\">u_global</span> <span class=\"p\">)</span>\n        \n        <span class=\"n\">w_1</span>   <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">1</span><span class=\"p\">]</span>\n        <span class=\"n\">phi_1</span> <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">2</span><span class=\"p\">]</span>\n        <span class=\"n\">w_2</span>   <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">4</span><span class=\"p\">]</span>\n        <span class=\"n\">phi_2</span> <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">5</span><span class=\"p\">]</span>\n        \n        <span class=\"n\">M</span> <span class=\"o\">=</span> <span class=\"o\">-</span><span class=\"n\">F</span><span class=\"o\">*</span><span class=\"n\">L</span><span class=\"o\">/</span><span class=\"mi\">8</span> <span class=\"o\">+</span> <span class=\"n\">F</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"mi\">2</span> <span class=\"o\">+</span> <span class=\"n\">phi_1</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"o\">-</span><span class=\"mi\">4</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">/</span><span class=\"n\">L</span> <span class=\"o\">+</span> <span class=\"mi\">6</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">phi_2</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"o\">-</span><span class=\"mi\">2</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">/</span><span class=\"n\">L</span> <span class=\"o\">+</span> <span class=\"mi\">6</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">w_1</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"mi\">6</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span> <span class=\"o\">-</span> <span class=\"mi\">12</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">w_2</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"o\">-</span><span class=\"mi\">6</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span> <span class=\"o\">+</span> <span class=\"mi\">12</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"p\">)</span>\n        <span class=\"n\">index_halfway</span> <span class=\"o\">=</span> <span class=\"nb\">int</span><span class=\"p\">(</span><span class=\"n\">num_points</span><span class=\"o\">/</span><span class=\"mi\">2</span><span class=\"p\">)</span>\n        <span class=\"n\">M</span><span class=\"p\">[</span><span class=\"n\">index_halfway</span><span class=\"p\">:]</span> <span class=\"o\">+=</span> <span class=\"o\">-</span> <span class=\"n\">F</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"o\">-</span><span class=\"n\">L</span><span class=\"o\">/</span><span class=\"mi\">2</span> <span class=\"o\">+</span> <span class=\"n\">x</span><span class=\"p\">[</span><span class=\"n\">index_halfway</span><span class=\"p\">:])</span>\n        <span class=\"k\">return</span> <span class=\"n\">M</span>\n    \n    <span class=\"k\">def</span><span class=\"w\"> </span><span class=\"nf\">full_displacement</span> <span class=\"p\">(</span><span class=\"bp\">self</span><span class=\"p\">,</span> <span class=\"n\">u_global</span><span class=\"p\">,</span> <span class=\"n\">num_points</span><span class=\"o\">=</span><span class=\"mi\">2</span><span class=\"p\">):</span>\n<span class=\"w\">        </span><span class=\"sd\">\"\"\"</span>\n<span class=\"sd\">        Calculates the displacement along the element.</span>\n\n<span class=\"sd\">        Args:</span>\n<span class=\"sd\">            u_global (numpy.ndarray): Global displacement vector of the element.</span>\n<span class=\"sd\">            num_points (int, optional): Number of points to calculate the bending moments. Default is 2.</span>\n\n<span class=\"sd\">        Returns:</span>\n<span class=\"sd\">            numpy.ndarray: Array of displacement along the element.</span>\n<span class=\"sd\">        \"\"\"</span>\n        <span class=\"n\">L</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">L</span>\n        <span class=\"n\">F</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">F</span>\n        <span class=\"n\">q_x</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">q</span><span class=\"p\">[</span><span class=\"mi\">0</span><span class=\"p\">]</span>\n        <span class=\"n\">EI</span><span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">EI</span>\n        <span class=\"n\">EA</span> <span class=\"o\">=</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">EA</span>\n\n        <span class=\"n\">x</span> <span class=\"o\">=</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">linspace</span> <span class=\"p\">(</span> <span class=\"mf\">0.0</span><span class=\"p\">,</span> <span class=\"n\">L</span><span class=\"p\">,</span> <span class=\"n\">num_points</span> <span class=\"p\">)</span>\n\n        <span class=\"n\">ul</span> <span class=\"o\">=</span> <span class=\"n\">np</span><span class=\"o\">.</span><span class=\"n\">matmul</span> <span class=\"p\">(</span> <span class=\"bp\">self</span><span class=\"o\">.</span><span class=\"n\">T</span><span class=\"p\">,</span> <span class=\"n\">u_global</span> <span class=\"p\">)</span>\n        \n        <span class=\"n\">u_1</span>   <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">0</span><span class=\"p\">]</span>\n        <span class=\"n\">w_1</span>   <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">1</span><span class=\"p\">]</span>\n        <span class=\"n\">phi_1</span> <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">2</span><span class=\"p\">]</span>\n        <span class=\"n\">u_2</span>   <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">3</span><span class=\"p\">]</span>\n        <span class=\"n\">w_2</span>   <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">4</span><span class=\"p\">]</span>\n        <span class=\"n\">phi_2</span> <span class=\"o\">=</span> <span class=\"n\">ul</span><span class=\"p\">[</span><span class=\"mi\">5</span><span class=\"p\">]</span>\n        \n        <span class=\"n\">u</span> <span class=\"o\">=</span> <span class=\"n\">q_x</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"o\">-</span><span class=\"n\">L</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"p\">(</span><span class=\"mi\">2</span><span class=\"o\">*</span><span class=\"n\">EA</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"o\">/</span><span class=\"p\">(</span><span class=\"mi\">2</span><span class=\"o\">*</span><span class=\"n\">EA</span><span class=\"p\">))</span> <span class=\"o\">+</span> <span class=\"n\">u_1</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"mi\">1</span> <span class=\"o\">-</span> <span class=\"n\">x</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">u_2</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">/</span><span class=\"n\">L</span>\n        <span class=\"n\">w</span> <span class=\"o\">=</span> <span class=\"n\">phi_1</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"o\">-</span><span class=\"n\">x</span> <span class=\"o\">+</span> <span class=\"mi\">2</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"o\">/</span><span class=\"n\">L</span> <span class=\"o\">-</span> <span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">phi_2</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"o\">/</span><span class=\"n\">L</span> <span class=\"o\">-</span> <span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">w_1</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"mi\">1</span> <span class=\"o\">-</span> <span class=\"mi\">3</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span> <span class=\"o\">+</span> <span class=\"mi\">2</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">w_2</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"mi\">3</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">2</span> <span class=\"o\">-</span> <span class=\"mi\">2</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"o\">/</span><span class=\"n\">L</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"p\">)</span> <span class=\"o\">+</span> <span class=\"n\">F</span><span class=\"o\">*</span><span class=\"n\">L</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">2</span><span class=\"o\">/</span><span class=\"p\">(</span><span class=\"mi\">16</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"p\">)</span> <span class=\"o\">-</span> <span class=\"n\">F</span><span class=\"o\">*</span><span class=\"n\">x</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"o\">/</span><span class=\"p\">(</span><span class=\"mi\">12</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"p\">)</span>\n        <span class=\"n\">index_halfway</span> <span class=\"o\">=</span> <span class=\"nb\">int</span><span class=\"p\">(</span><span class=\"n\">num_points</span><span class=\"o\">/</span><span class=\"mi\">2</span><span class=\"p\">)</span>\n        <span class=\"n\">w</span><span class=\"p\">[</span><span class=\"n\">index_halfway</span><span class=\"p\">:]</span> <span class=\"o\">+=</span> <span class=\"n\">F</span><span class=\"o\">*</span><span class=\"p\">(</span><span class=\"n\">x</span><span class=\"p\">[</span><span class=\"n\">index_halfway</span><span class=\"p\">:]</span> <span class=\"o\">-</span> <span class=\"n\">L</span><span class=\"o\">/</span><span class=\"mi\">2</span><span class=\"p\">)</span><span class=\"o\">**</span><span class=\"mi\">3</span><span class=\"o\">/</span><span class=\"p\">(</span><span class=\"mi\">6</span><span class=\"o\">*</span><span class=\"n\">EI</span><span class=\"p\">)</span>\n        <span class=\"k\">return</span> <span class=\"n\">u</span><span class=\"p\">,</span> <span class=\"n\">w</span>\n</pre></div>\n</div>\n</div>\n</div>\n</section>\n</div>", "a[href=\"#kinked-beam\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Kinked beam<a class=\"headerlink\" href=\"#kinked-beam\" title=\"Link to this heading\">#</a></h1><p>Given is the following beam <span id=\"id1\">[<a class=\"reference internal\" href=\"../references.html#id6\" title=\"Hans Welleman from Delft University of Technology. Cm5 (cie4190) - contents of lectures - lecture material - part 5: matrix method. https://icozct.tudelft.nl/TUD_CT/CM5/collegestof/, 2022.\">HansWfDUoTechnology22</a>]</span>:</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
