selector_to_html = {"a[href=\"#v2025-2-0-2025-02-20-17-30-after-workshop-2\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.2.0, 2025-02-20 17:30, after workshop 2<a class=\"headerlink\" href=\"#v2025-2-0-2025-02-20-17-30-after-workshop-2\" title=\"Link to this heading\">#</a></h2>", "a[href=\"#v2025-0-3-2025-02-13-13-33-before-workshop-1\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.0.3, 2025-02-13 13:33, before workshop 1<a class=\"headerlink\" href=\"#v2025-0-3-2025-02-13-13-33-before-workshop-1\" title=\"Link to this heading\">#</a></h2>", "a[href=\"workshop1/Workshop_1_Implement.html#exercise2.6\"]": "<div class=\"exercise admonition\" id=\"exercise2.6\">\n<p class=\"admonition-title\">Exercise (Workshop 1 - 2.6)</p>\n<section id=\"exercise-content\">\n<p>For the previous element, a global displacement vector <span class=\"math notranslate nohighlight\">\\(\\mathbf{u}^{(e)} = \\begin{bmatrix} 0 \\\\0 \\\\ 0 \\\\ \\sqrt{3} \\\\ 1 \\\\ 0 \\end{bmatrix}\\)</span> is given. What would be the local displacement vector <span class=\"math notranslate nohighlight\">\\(\\bar{\\mathbf{u}}^{(e)}\\)</span>?</p>\n<p>Check your answer using pen and paper. Tip: make a drawing instead of doing all the algebra.</p>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n</section>\n</div>", "a[href=\"lecture1/displacement.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Recap displacement method<a class=\"headerlink\" href=\"#recap-displacement-method\" title=\"Link to this heading\">#</a></h1><p>In the previous <a class=\"reference internal\" href=\"lecture1/recap.html\"><span class=\"std std-doc\">chapter</span></a> you\u2019ve seen how solving for integration constants because a labour-intensive process for more complicated structures. A way of circumventing that is solving for nodal displacements! You might have seen that before when solving statically indeterminate structures using the displacement method!</p>", "a[href=\"assignment.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Graded assignment<a class=\"headerlink\" href=\"#graded-assignment\" title=\"Link to this heading\">#</a></h1><p>When you\u2019ve finished the workshops, you can start with the graded assignment. The process is very similar to the workshops, but now there\u2019s a deadline and you\u2019re required to write a report. You\u2019re going to solve the following model for displacements and internal forces using the Matrix Method.</p>", "a[href=\"workshop1/Workshop_1_Apply.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Apply<a class=\"headerlink\" href=\"#apply\" title=\"Link to this heading\">#</a></h1><p>In this notebook you will work on a homework assignment involving a Vierendeel frame.</p><p>Our matrix method implementation is now completely stored in a local package, consisting of three classes.</p>", "a[href=\"matrixmethod/__init__.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\"><code class=\"docutils literal notranslate\"><span class=\"pre\">__init__.py</span></code><a class=\"headerlink\" href=\"#init-py\" title=\"Link to this heading\">#</a></h1>", "a[href=\"workshop2.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Workshop 2<a class=\"headerlink\" href=\"#workshop-2\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s workshop you\u2019ll extend your implementation of the matrix method.</p>", "a[href=\"additional.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Additional assignments<a class=\"headerlink\" href=\"#additional-assignments\" title=\"Link to this heading\">#</a></h1><p>Additional assignments are provided to extend your implementation of the matrix method and apply it to other structures.</p>", "a[href=\"#changelog\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Changelog<a class=\"headerlink\" href=\"#changelog\" title=\"Link to this heading\">#</a></h1><p>This changelog will include all changes, except for minor adjustments like typos.</p>", "a[href=\"instructions.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">How to use this TeachBook \ud83d\udcd8<a class=\"headerlink\" href=\"#how-to-use-this-teachbook\" title=\"Link to this heading\">#</a></h1><p>This TeachBook combines the course schedule and content. Announcement an grading results are provided via Brightspace.</p>", "a[href=\"#v2025-0-1-2025-02-10-15-02-before-first-lecture\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.0.1, 2025-02-10 15:02, before first lecture<a class=\"headerlink\" href=\"#v2025-0-1-2025-02-10-15-02-before-first-lecture\" title=\"Link to this heading\">#</a></h2>", "a[href=\"#v2025-1-1-2025-02-18-9-30-after-second-lecture\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.1.1, 2025-02-18 9:30 after second lecture<a class=\"headerlink\" href=\"#v2025-1-1-2025-02-18-9-30-after-second-lecture\" title=\"Link to this heading\">#</a></h2>", "a[href=\"#v2025-1-0-2025-02-13-17-30-after-workshop-1\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.1.0, 2025-02-13 17:30, after workshop 1<a class=\"headerlink\" href=\"#v2025-1-0-2025-02-13-17-30-after-workshop-1\" title=\"Link to this heading\">#</a></h2>", "a[href=\"additional/beam_kinked.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Kinked beam<a class=\"headerlink\" href=\"#kinked-beam\" title=\"Link to this heading\">#</a></h1><p>Given is the following beam <span id=\"id1\">[<a class=\"reference internal\" href=\"references.html#id6\" title=\"Hans Welleman from Delft University of Technology. Cm5 (cie4190) - contents of lectures - lecture material - part 5: matrix method. https://icozct.tudelft.nl/TUD_CT/CM5/collegestof/, 2022.\">HansWfDUoTechnology22</a>]</span>:</p>", "a[href=\"matrixmethod/constrainer.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\"><code class=\"docutils literal notranslate\"><span class=\"pre\">constrainer.py</span></code><a class=\"headerlink\" href=\"#constrainer-py\" title=\"Link to this heading\">#</a></h1>", "a[href=\"workshop1.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Workshop 1<a class=\"headerlink\" href=\"#workshop-1\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s workshop you\u2019ll implement and check missing components, and solve a complicated frame.</p>", "a[href=\"workshop1/Workshop_1_Implement.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Implementation<a class=\"headerlink\" href=\"#implementation\" title=\"Link to this heading\">#</a></h1><p>In this notebook you will implement the matrix method and check it with some sanity checks.</p><p>Our matrix method implementation is now completely stored in a local package, consisting of three classes. If you need a refresher on how to code with Classes and Objects, refer to the <a class=\"reference external\" href=\"https://mude.citg.tudelft.nl/2024/book/external/learn-programming/book/python/oop/classes.html\">section on Object Oriented Programming in the MUDE-book</a>, with additionally <a class=\"reference external\" href=\"https://mude.citg.tudelft.nl/2024/files/Week_1_7/PA_1_7_classy_distributions.html\">programming assignment 1.7</a></p>", "a[href=\"additional/frame.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Frame<a class=\"headerlink\" href=\"#frame\" title=\"Link to this heading\">#</a></h1><p>Given is the following beam <span id=\"id1\">[<a class=\"reference internal\" href=\"references.html#id6\" title=\"Hans Welleman from Delft University of Technology. Cm5 (cie4190) - contents of lectures - lecture material - part 5: matrix method. https://icozct.tudelft.nl/TUD_CT/CM5/collegestof/, 2022.\">HansWfDUoTechnology22</a>]</span>:</p>", "a[href=\"lecture2.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Lecture 2<a class=\"headerlink\" href=\"#lecture-2\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s lesson you\u2019ll wrap up the discussion on the Matrix Method for statics and implement in code some new content. You\u2019ll be given the last theoretical details of the method, including how to consider element loads, non-zero Dirichlet boundary conditions and postprocessing for support reactions and element fields.</p><p>This lecture is given by Iuri Rocha.</p>", "a[href=\"matrixmethod/elements.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\"><code class=\"docutils literal notranslate\"><span class=\"pre\">elements.py</span></code><a class=\"headerlink\" href=\"#elements-py\" title=\"Link to this heading\">#</a></h1>", "a[href=\"matrixmethod/node.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\"><code class=\"docutils literal notranslate\"><span class=\"pre\">node.py</span></code><a class=\"headerlink\" href=\"#node-py\" title=\"Link to this heading\">#</a></h1>", "a[href=\"workshop2/Workshop_2_Implement.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Implementation<a class=\"headerlink\" href=\"#implementation\" title=\"Link to this heading\">#</a></h1><p>In this notebook you will continue to implement the matrix method and check it with some sanity checks.</p>", "a[href=\"additional/beam.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Beam<a class=\"headerlink\" href=\"#beam\" title=\"Link to this heading\">#</a></h1><p>Given is the following beam <span id=\"id1\">[<a class=\"reference internal\" href=\"references.html#id6\" title=\"Hans Welleman from Delft University of Technology. Cm5 (cie4190) - contents of lectures - lecture material - part 5: matrix method. https://icozct.tudelft.nl/TUD_CT/CM5/collegestof/, 2022.\">HansWfDUoTechnology22</a>]</span>:</p>", "a[href=\"#v2025-0-2-2025-02-11-10-42-after-first-lecture\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.0.2, 2025-02-11 10:42, after first lecture<a class=\"headerlink\" href=\"#v2025-0-2-2025-02-11-10-42-after-first-lecture\" title=\"Link to this heading\">#</a></h2>", "a[href=\"#v2025-0-0-start-course\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">v2025.0.0, start course<a class=\"headerlink\" href=\"#v2025-0-0-start-course\" title=\"Link to this heading\">#</a></h2>", "a[href=\"lecture1.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Lecture 1<a class=\"headerlink\" href=\"#lecture-1\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s lesson we\u2019ll get started with the basics of the matrix method: you will be introduced to the Matrix Method for solving combinations of 1D elements in statics. You\u2019ll review how we solved single- and multiple-field problems in statics during Q2, and how you might have solved statically indeterminate structures using the displacement method. We\u2019ll see how that procedure can be streamlined and optimized for computer code. Following you\u2019ll be presented the basic concepts of the Matrix Method: Obtaining element stiffness matrices, local-global transformations, assembly and postprocessing. The lecture will be finalized by arriving at an abstraction of the Matrix Method that makes it readily implementable in computer code with the help of Object Oriented Programming (OOP).</p><p>This lecture is given by Tom van Woudenberg.</p>", "a[href=\"workshop2/Workshop_2_Apply.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Apply<a class=\"headerlink\" href=\"#apply\" title=\"Link to this heading\">#</a></h1><p>In this notebook you will solve a 2-element frame at the end of the notebook.</p><p>Our matrix method implementation is now completely stored in a local package, consisting of three classes.</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
