selector_to_html = {"a[href=\"workshop2.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Workshop 2<a class=\"headerlink\" href=\"#workshop-2\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s workshop you\u2019ll extend your implementation of the matrix method.</p>", "a[href=\"additional.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Additional assignments<a class=\"headerlink\" href=\"#additional-assignments\" title=\"Link to this heading\">#</a></h1><p>Additional assignments are provided to extend your implementation of the matrix method and apply it to other structures.</p>", "a[href=\"workshop1.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Workshop 1<a class=\"headerlink\" href=\"#workshop-1\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s workshop you\u2019ll implement and check missing components, and solve a complicated frame.</p>", "a[href=\"#rubric\"]": "<table class=\"table table-center\" id=\"rubric\">\n<caption><span class=\"caption-number\">Table 1 </span><span class=\"caption-text\">Rubric</span><a class=\"headerlink\" href=\"#rubric\" title=\"Link to this table\">#</a></caption>\n<thead>\n<tr class=\"row-odd\"><th class=\"head\"><p>Criteria</p></th>\n<th class=\"head\"><p>Insufficient</p></th>\n<th class=\"head\"><p>Sufficient</p></th>\n<th class=\"head\"><p>Good</p></th>\n</tr>\n</thead>\n<tbody>\n<tr class=\"row-even\"><td><p>New implementations</p></td>\n<td><p>1.4 points <br/> Not all implementations for correct nodal displacements were made <br/> OR <br/> Implementations are not correct</p></td>\n<td><p>2.0125 points <br/> Implementations for correct nodal displacements are correct <br/> AND <br/> Argumentation is not correct, insufficient or missing</p></td>\n<td><p>3.5 points <br/> Implementations for correct nodal displacements are correct <br/> AND <br/> Argumentation is correct and sufficient</p></td>\n</tr>\n<tr class=\"row-odd\"><td><p>Sanity checks</p></td>\n<td><p>1.4 points <br/> Not for all implementations for correct nodal displacements sanity checks were performed<br/>OR<br/>Argumentation is not correct, insufficient or missing</p></td>\n<td><p>2.0125 points <br/> For all implementations for correct nodal displacements sanity checks were performed</p></td>\n<td><p>3.5 points <br/> Sanity checks were performed for all new code implementations were performed <br/>AND<br/>Argumentation is correct and sufficient</p></td>\n</tr>\n<tr class=\"row-even\"><td><p>Numerical results</p></td>\n<td><p>0.8 points <br/> Not all results are correct<br/>OR<br/>Not all required implementations were made</p></td>\n<td><p>1.15 points<br/>At least nodal displacements are correct with only a few inconsistencies in other results</p></td>\n<td><p>2 points <br/> All results are correct</p></td>\n</tr>\n<tr class=\"row-odd\"><td><p>Style</p></td>\n<td><p>0.4 points <br/> Coding is unclear<br/>OR<br/>Report is unclear<br/>If too much is missing or unclear, the full assignment is graded with a 1</p></td>\n<td><p>0.575 points<br/> Coding and report are readable and functional</p></td>\n<td><p>1 points <br/> Coding and report are well documented</p></td>\n</tr>\n</tbody>\n</table>", "a[href=\"lecture2.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Lecture 2<a class=\"headerlink\" href=\"#lecture-2\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s lesson you\u2019ll wrap up the discussion on the Matrix Method for statics and implement in code some new content. You\u2019ll be given the last theoretical details of the method, including how to consider element loads, non-zero Dirichlet boundary conditions and postprocessing for support reactions and element fields.</p><p>This lecture is given by Iuri Rocha.</p>", "a[href=\"#learning-objectives\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Learning objectives<a class=\"headerlink\" href=\"#learning-objectives\" title=\"Link to this heading\">#</a></h2><p>At the end of the statics part of this module, you show to be able to:</p>", "a[href=\"assignment.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Graded assignment<a class=\"headerlink\" href=\"#graded-assignment\" title=\"Link to this heading\">#</a></h1><p>When you\u2019ve finished the workshops, you can start with the graded assignment. The process is very similar to the workshops, but now there\u2019s a deadline and you\u2019re required to write a report. You\u2019re going to solve the following model for displacements and internal forces using the Matrix Method.</p>", "a[href=\"#learning-objectives-activities-and-assessment\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Learning objectives, activities and assessment \ud83d\udca1<a class=\"headerlink\" href=\"#learning-objectives-activities-and-assessment\" title=\"Link to this heading\">#</a></h1><h2>Learning objectives<a class=\"headerlink\" href=\"#learning-objectives\" title=\"Link to this heading\">#</a></h2><p>At the end of the statics part of this module, you show to be able to:</p>", "a[href=\"#learning-activities\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Learning activities<a class=\"headerlink\" href=\"#learning-activities\" title=\"Link to this heading\">#</a></h2><p>In this submodule, you\u2019ll have two lectures where we cover the content. This book represents the content of those lectures in <a class=\"reference internal\" href=\"lecture1.html\"><span class=\"std std-doc\">Lecture 1</span></a> and <a class=\"reference internal\" href=\"lecture2.html\"><span class=\"std std-doc\">Lecture 2</span></a></p><p>Next to that, you\u2019ll work on applying the content in two workshops. The assignments as part of these workshops are not-graded. This book represents the content of those workshops in <a class=\"reference internal\" href=\"workshop1.html\"><span class=\"std std-doc\">Workshop 1</span></a> and <a class=\"reference internal\" href=\"workshop2.html\"><span class=\"std std-doc\">Workshop 2</span></a>.</p>", "a[href=\"lecture1.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Lecture 1<a class=\"headerlink\" href=\"#lecture-1\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s lesson we\u2019ll get started with the basics of the matrix method: you will be introduced to the Matrix Method for solving combinations of 1D elements in statics. You\u2019ll review how we solved single- and multiple-field problems in statics during Q2, and how you might have solved statically indeterminate structures using the displacement method. We\u2019ll see how that procedure can be streamlined and optimized for computer code. Following you\u2019ll be presented the basic concepts of the Matrix Method: Obtaining element stiffness matrices, local-global transformations, assembly and postprocessing. The lecture will be finalized by arriving at an abstraction of the Matrix Method that makes it readily implementable in computer code with the help of Object Oriented Programming (OOP).</p><p>This lecture is given by Tom van Woudenberg.</p>", "a[href=\"#assessment\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Assessment<a class=\"headerlink\" href=\"#assessment\" title=\"Link to this heading\">#</a></h2><p>The learning will be assessed with one assignment provided to you after the second workshops. It is shown in <a class=\"reference internal\" href=\"assignment.html\"><span class=\"std std-doc\">Graded assignment</span></a>.</p><p>This assignment is part of the Assignment Portfolio of unit 2, where it counts for 33%. This portfolio will account for 20% of your total grade of CIEM5000.</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
