selector_to_html = {"a[href=\"#reduce-bending-element-for-tractability\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Reduce bending element for tractability<a class=\"headerlink\" href=\"#reduce-bending-element-for-tractability\" title=\"Link to this heading\">#</a></h2><p>Element <span class=\"math notranslate nohighlight\">\\((1)\\)</span> and <span class=\"math notranslate nohighlight\">\\((2)\\)</span> will bend in this case. However, no forces act in the local <span class=\"math notranslate nohighlight\">\\(x\\)</span>-direction. This allows us to reduce the element defined in <a class=\"reference internal\" href=\"../lecture1/other_elements.html\"><span class=\"std std-doc\">Local stiffness matrix Euler-Bernoulli element</span></a>:</p>", "a[href=\"element_loads.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Element loads<a class=\"headerlink\" href=\"#element-loads\" title=\"Link to this heading\">#</a></h1><p>As the matrix method is a discrete approach, nodal loads were treated with ease. However, what to do with continuous loads or loads which are not applied at the nodes?</p>", "a[href=\"#assemble-stiffness-element-by-element\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Assemble stiffness, element by element<a class=\"headerlink\" href=\"#assemble-stiffness-element-by-element\" title=\"Link to this heading\">#</a></h2><p>As all elements use the same orientation for the degrees of freedom, no transformation are required. Note that this requires:</p>", "a[href=\"../lecture1/directly.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Setting up global equations directly<a class=\"headerlink\" href=\"#setting-up-global-equations-directly\" title=\"Link to this heading\">#</a></h1><p>Now that you\u2019ve seen the final matrix formulation, let\u2019s set up a procedure to find it directly!</p>", "a[href=\"#equivalent-nodal-loads\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Equivalent nodal loads<a class=\"headerlink\" href=\"#equivalent-nodal-loads\" title=\"Link to this heading\">#</a></h3><p>Let\u2019s add the equivalent nodal loads from the continuous elements loads too:</p>", "a[href=\"#element-1\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Element <span class=\"math notranslate nohighlight\">\\((1)\\)</span><a class=\"headerlink\" href=\"#element-1\" title=\"Link to this heading\">#</a></h3><p>The first element links the first and second nodal displacement with the first and second nodal forces:</p>", "a[href=\"../lecture1/other_elements.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Local stiffness matrix Euler-Bernoulli element<a class=\"headerlink\" href=\"#local-stiffness-matrix-euler-bernoulli-element\" title=\"Link to this heading\">#</a></h1><p>In <a class=\"reference internal\" href=\"../lecture1/single_element.html\"><span class=\"std std-doc\">Force-displacement relations single extension element</span></a> and <a class=\"reference internal\" href=\"../lecture1/matrix.html\"><span class=\"std std-doc\">Combine elements using matrix formulation</span></a> you\u2019ve seen how to derive the local stiffness matrix for a simple extension element. But can you do the same for other elements?</p>", "a[href=\"#example-3d-frame-with-torsion\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Example - 3D frame with torsion<a class=\"headerlink\" href=\"#example-3d-frame-with-torsion\" title=\"Link to this heading\">#</a></h1><p>This page shows an example for a threedimensional frame (with onedimensional elements), loaded in torsion. This requires defining a new element, but the approach is identical to what we\u2019ve seen before.</p>", "a[href=\"#identify-degrees-of-freedom\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Identify degrees of freedom<a class=\"headerlink\" href=\"#identify-degrees-of-freedom\" title=\"Link to this heading\">#</a></h2><p>As mentioned before, all nodes only rotate around the <span class=\"math notranslate nohighlight\">\\(y\\)</span>-axis; there\u2019s no translation or rotation in another direction. Therefore, the degrees of freedom are:</p>", "a[href=\"#element-2\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Element <span class=\"math notranslate nohighlight\">\\((2)\\)</span><a class=\"headerlink\" href=\"#element-2\" title=\"Link to this heading\">#</a></h3><p>The second element links the second and third nodal displacement with the second and third nodal forces:</p>", "a[href=\"#apply-external-loads\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Apply external loads<a class=\"headerlink\" href=\"#apply-external-loads\" title=\"Link to this heading\">#</a></h2><h3>Nodal loads<a class=\"headerlink\" href=\"#nodal-loads\" title=\"Link to this heading\">#</a></h3><p>Now, let\u2019s add the external loads, starting with the nodal load at <span class=\"math notranslate nohighlight\">\\(2\\)</span>:</p>", "a[href=\"#element-3\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Element <span class=\"math notranslate nohighlight\">\\((3)\\)</span><a class=\"headerlink\" href=\"#element-3\" title=\"Link to this heading\">#</a></h3><p>The third element links the second and fourth nodal displacement with the second and fourth nodal forces:</p>", "a[href=\"#complete-system-of-equations\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Complete system of equations<a class=\"headerlink\" href=\"#complete-system-of-equations\" title=\"Link to this heading\">#</a></h2><p>Now, we found the complete system of equations:</p>", "a[href=\"#solving-boundary-conditions\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Solving boundary conditions<a class=\"headerlink\" href=\"#solving-boundary-conditions\" title=\"Link to this heading\">#</a></h2><p>As we\u2019ve no non-zero boundary conditions, we can apply the <a class=\"reference internal\" href=\"../lecture1/directly.html\"><span class=\"std std-doc\">row-striking technique of lecture 1</span></a>, which leads to:</p>", "a[href=\"#element-4\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Element <span class=\"math notranslate nohighlight\">\\((4)\\)</span><a class=\"headerlink\" href=\"#element-4\" title=\"Link to this heading\">#</a></h3><p>The fourth element links the third and fifth nodal displacement with the third and fifth nodal forces:</p>", "a[href=\"#nodal-loads\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Nodal loads<a class=\"headerlink\" href=\"#nodal-loads\" title=\"Link to this heading\">#</a></h3><p>Now, let\u2019s add the external loads, starting with the nodal load at <span class=\"math notranslate nohighlight\">\\(2\\)</span>:</p>", "a[href=\"#boundary-loads\"]": "<h3 class=\"tippy-header\" style=\"margin-top: 0;\">Boundary loads<a class=\"headerlink\" href=\"#boundary-loads\" title=\"Link to this heading\">#</a></h3><p>And finally, let\u2019s add the forces from the Neumann boundary conditions:</p>", "a[href=\"#torsionelement\"]": "<figure class=\"align-center\" id=\"torsionelement\">\n<img alt=\"../_images/torsion_beam.png\" src=\"../_images/torsion_beam.png\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 16 </span><span class=\"caption-text\">Torsional element from <span id=\"id2\">Hans Welleman from Delft University of Technology [<a class=\"reference internal\" href=\"../references.html#id5\" title=\"Hans Welleman from Delft University of Technology. Lecture 6: newtonian formulation - create basic 1d-models - week 2 - unit 2 ciem5000. https://brightspace.tudelft.nl/d2l/le/content/680476/viewContent/3826607/View, 2024.\">HansWfDUoTechnology24</a>]</span></span><a class=\"headerlink\" href=\"#torsionelement\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#defining-new-element\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Defining new element<a class=\"headerlink\" href=\"#defining-new-element\" title=\"Link to this heading\">#</a></h2><p>In this problem, all nodes only rotate around the <span class=\"math notranslate nohighlight\">\\(y\\)</span>-axis; there\u2019s no translation or rotation in another direction. For element <span class=\"math notranslate nohighlight\">\\((3)\\)</span> and <span class=\"math notranslate nohighlight\">\\((4)\\)</span> this introduces torsion in the elements. The model for torsional elements has been treated before in <a class=\"reference external\" href=\"https://brightspace.tudelft.nl/d2l/le/content/680476/viewContent/3826607/View\">Week 2.2, Unit 2, Lecture 6 of this course</a> <span id=\"id1\">[<a class=\"reference internal\" href=\"../references.html#id5\" title=\"Hans Welleman from Delft University of Technology. Lecture 6: newtonian formulation - create basic 1d-models - week 2 - unit 2 ciem5000. https://brightspace.tudelft.nl/d2l/le/content/680476/viewContent/3826607/View, 2024.\">HansWfDUoTechnology24</a>]</span>:</p>", "a[href=\"#postprocessing-moments-element-left-1-right\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Postprocessing moments element <span class=\"math notranslate nohighlight\">\\(\\left(1\\right)\\)</span><a class=\"headerlink\" href=\"#postprocessing-moments-element-left-1-right\" title=\"Link to this heading\">#</a></h2><p>The continuum displacement field of element <span class=\"math notranslate nohighlight\">\\(\\left(1\\right)\\)</span> can be described by the shape function:</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
