selector_to_html = {"a[href=\"#finite-element-method-vs-matrix-method\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Finite element method vs. Matrix Method<a class=\"headerlink\" href=\"#finite-element-method-vs-matrix-method\" title=\"Link to this heading\">#</a></h1><p>You\u2019ve seen the finite element method before, which could be used to solve similar problems. But what are the differences?</p>", "a[href=\"#example-with-finite-element-method\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Example with finite element method<a class=\"headerlink\" href=\"#example-with-finite-element-method\" title=\"Link to this heading\">#</a></h2><p>Let\u2019s consider the examples from <a class=\"reference internal\" href=\"../lecture1/displacement.html\"><span class=\"std std-doc\">Recap displacement method</span></a>:</p>", "a[href=\"../workshop2.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Workshop 2<a class=\"headerlink\" href=\"#workshop-2\" title=\"Link to this heading\">#</a></h1><p>During today\u2019s workshop you\u2019ll extend your implementation of the matrix method.</p>", "a[href=\"#equivalence-with-matrix-method\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Equivalence with matrix method<a class=\"headerlink\" href=\"#equivalence-with-matrix-method\" title=\"Link to this heading\">#</a></h2><p>Although the two method can give the same results, the methods are different.</p><p>The matrix method solves the strong from of the differential equation, as derived in <a class=\"reference internal\" href=\"../lecture1/single_element.html\"><span class=\"std std-doc\">Force-displacement relations single extension element</span></a>. The finite element method solves the weak form by multiplying the strong form by a test function <span id=\"id2\">[<a class=\"reference internal\" href=\"../references.html#id4\" title=\"MUDE Teachers and the Student Army from Delft University of Technology. Mude book. https://mude.citg.tudelft.nl/2024/book/fem/weak.html, 2024.\">MUDETatSAfDUoTechnology24b</a>]</span>. In doing so, the choice for the shape function of the test-functions and approximate solution matters. The two methods end up with the same solution if the \u201capproximation\u201d assumed by FEM (linear shape functions for extension, cubic for bending) turn out to be the exact ODE solution.</p>", "a[href=\"../credits.html#external-resources\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">External resources<a class=\"headerlink\" href=\"#external-resources\" title=\"Link to this heading\">#</a></h2><p>Parts of this book are taken from other external resources and reused in various ways. If an author is not listed on a particular page, it is by the Authors. Page <a class=\"reference internal\" href=\"../lecture2/fem.html\"><span class=\"std std-doc\">Finite element method vs. Matrix Method</span></a> includes code from <span id=\"id2\">MUDE Teachers and the Student Army from Delft University of Technology [<a class=\"reference internal\" href=\"../references.html#id3\" title=\"MUDE Teachers and the Student Army from Delft University of Technology. Mude book. https://mude.citg.tudelft.nl/2024/book/fem/matrix.html, 2024.\">MUDETatSAfDUoTechnology24a</a>]</span>. Original content is licensed under CC BY.</p>", "a[href=\"#extension2fieldsq2\"]": "<figure class=\"align-center\" id=\"extension2fieldsq2\">\n<img alt=\"../_images/extension2fieldsdisp.svg\" src=\"../_images/extension2fieldsdisp.svg\"/>\n<figcaption>\n<p><span class=\"caption-number\">Fig. 15 </span><span class=\"caption-text\">Statically indeterminate extension bar</span><a class=\"headerlink\" href=\"#extension2fieldsq2\" title=\"Link to this image\">#</a></p>\n</figcaption>\n</figure>", "a[href=\"#example-with-matrix-method\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Example with matrix method<a class=\"headerlink\" href=\"#example-with-matrix-method\" title=\"Link to this heading\">#</a></h2><p>Applying the matrix method (including implementations you\u2019ll implement during <a class=\"reference internal\" href=\"../workshop2.html\"><span class=\"std std-doc\">Workshop 2</span></a>) yields the same result:</p>", "a[href=\"../lecture1/displacement.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Recap displacement method<a class=\"headerlink\" href=\"#recap-displacement-method\" title=\"Link to this heading\">#</a></h1><p>In the previous <a class=\"reference internal\" href=\"../lecture1/recap.html\"><span class=\"std std-doc\">chapter</span></a> you\u2019ve seen how solving for integration constants because a labour-intensive process for more complicated structures. A way of circumventing that is solving for nodal displacements! You might have seen that before when solving statically indeterminate structures using the displacement method!</p>", "a[href=\"#id4\"]": "<table class=\"table table-center\" id=\"id4\">\n<caption><span class=\"caption-number\">Table 4 </span><span class=\"caption-text\">Equivalence finite element- and matrix method</span><a class=\"headerlink\" href=\"#id4\" title=\"Link to this table\">#</a></caption>\n<thead>\n<tr class=\"row-odd\"><th class=\"head text-center\"><p>Finite element method</p></th>\n<th class=\"head text-center\"><p>Matrix method</p></th>\n</tr>\n</thead>\n<tbody>\n<tr class=\"row-even\"><td class=\"text-center\"><p>Solves weak form</p></td>\n<td class=\"text-center\"><p>Solves the strong form</p></td>\n</tr>\n<tr class=\"row-odd\"><td class=\"text-center\"><p>Solves everything globally</p></td>\n<td class=\"text-center\"><p>Solves discrete solution globally, with locally derived equations</p></td>\n</tr>\n<tr class=\"row-even\"><td class=\"text-center\"><p>Generally applicable to differential equations</p></td>\n<td class=\"text-center\"><p>Only applicable for 1D elements</p></td>\n</tr>\n</tbody>\n</table>", "a[href=\"../lecture1/single_element.html\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Force-displacement relations single extension element<a class=\"headerlink\" href=\"#force-displacement-relations-single-extension-element\" title=\"Link to this heading\">#</a></h1><p>In the previous <a class=\"reference internal\" href=\"../lecture1/displacement.html\"><span class=\"std std-doc\">chapter</span></a> you\u2019ve seen how you can solve structure using nodal displacements. However, the approach was still very problem-dependent. As proposed, the matrix method solves this by defining a default element which can be solved for a priori.</p>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
