selector_to_html = {"a[href=\"#vierendeel-frame\"]": "<h2 class=\"tippy-header\" style=\"margin-top: 0;\">Vierendeel frame<a class=\"headerlink\" href=\"#vierendeel-frame\" title=\"Link to this heading\">#</a></h2><p>With:</p>", "a[href=\"#apply\"]": "<h1 class=\"tippy-header\" style=\"margin-top: 0;\">Apply<a class=\"headerlink\" href=\"#apply\" title=\"Link to this heading\">#</a></h1><p>In this notebook you will work on a homework assignment involving a Vierendeel frame.</p><p>Our matrix method implementation is now completely stored in a local package, consisting of three classes.</p>", "a[href=\"#exercise_ws_1\"]": "<div class=\"exercise admonition\" id=\"exercise_ws_1\">\n<p class=\"admonition-title\">Exercise (Workshop 1 - Apply)</p>\n<section id=\"exercise-content\">\n<p>Now that you have the tools to solve the original frame problem using the Matrix Method, your task in this assignment is to investigate the validity of this equivalent shear beam model.</p>\n<p>Note that the checks only had a single element. For this model you need to obtain <span class=\"math notranslate nohighlight\">\\(\\mathbf{K}\\)</span> and <span class=\"math notranslate nohighlight\">\\(\\mathbf{f}\\)</span> of all elements and add them to the correct locations in the global stiffness matrix and force vector. To do that, make use of the <code class=\"docutils literal notranslate\"><span class=\"pre\">global_dofs</span></code> function of the Element class and the <code class=\"docutils literal notranslate\"><span class=\"pre\">np.ix_</span></code> Numpy utility function. (Tip: refer back to what you did in the <code class=\"docutils literal notranslate\"><span class=\"pre\">constrain</span></code> function).</p>\n<p>Once you have a solution, use SymPy / Maple / pen and paper to solve a shear beam problem with the equivalent stiffness given above (It is very similar to the simple extension problem above) and compare the horizontal displacement at the point of application of <span class=\"math notranslate nohighlight\">\\(H\\)</span> for the two models.</p>\n<p>Investigate how the two models compare for different values of <span class=\"math notranslate nohighlight\">\\(EA\\)</span>, ranging from very small (<em>e.g.</em> <span class=\"math notranslate nohighlight\">\\(1\\cdot 10^{-5}\\)</span>) to very large (<em>e.g.</em> <span class=\"math notranslate nohighlight\">\\(1\\cdot10^{10}\\)</span>). What explains the behavior you observe?</p>\n<div class=\"cell tag_thebe-remove-input-init docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matplotlib</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">plt</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">numpy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">np</span>\n<span class=\"n\">sys</span><span class=\"o\">.</span><span class=\"n\">path</span><span class=\"o\">.</span><span class=\"n\">insert</span><span class=\"p\">(</span><span class=\"mi\">1</span><span class=\"p\">,</span> <span class=\"s1\">'/matrixmethod_solution'</span><span class=\"p\">)</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matrixmethod_solution</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">mm</span>\n<span class=\"o\">%</span><span class=\"k\">config</span> InlineBackend.figure_formats = ['svg']\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell tag_disable-execution-cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">numpy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">np</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matplotlib</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">plt</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">matrixmethod</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">mm</span>\n<span class=\"o\">%</span><span class=\"k\">config</span> InlineBackend.figure_formats = ['svg']\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"n\">mm</span><span class=\"o\">.</span><span class=\"n\">Node</span><span class=\"o\">.</span><span class=\"n\">clear</span><span class=\"p\">()</span>\n<span class=\"n\">mm</span><span class=\"o\">.</span><span class=\"n\">Element</span><span class=\"o\">.</span><span class=\"n\">clear</span><span class=\"p\">()</span>\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"n\">global_k</span> <span class=\"c1\">#= np.zeros(YOUR CODE HERE</span>\n<span class=\"n\">global_f</span> <span class=\"c1\">#= np.zeros(YOUR CODE HERE</span>\n\n<span class=\"k\">for</span> <span class=\"n\">elem</span> <span class=\"ow\">in</span> <span class=\"n\">elems</span><span class=\"p\">:</span>\n    <span class=\"n\">elmat</span> <span class=\"o\">=</span> <span class=\"n\">elem</span><span class=\"c1\">#.YOUR CODE HERE</span>\n    <span class=\"n\">idofs</span> <span class=\"o\">=</span> <span class=\"n\">elem</span><span class=\"c1\">#.YOUR CODE HERE</span>\n    \n    <span class=\"c1\">#YOUR CODE HERE</span>\n\n<span class=\"k\">for</span> <span class=\"n\">node</span> <span class=\"ow\">in</span> <span class=\"n\">nodes</span><span class=\"p\">:</span>\n    <span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n<div class=\"cell docutils container\">\n<div class=\"cell_input docutils container\">\n<div class=\"highlight-ipython3 notranslate\"><div class=\"highlight\"><pre><span></span><span class=\"c1\">#provided in case you want to solve the shear beam problem using SymPy</span>\n<span class=\"kn\">import</span><span class=\"w\"> </span><span class=\"nn\">sympy</span><span class=\"w\"> </span><span class=\"k\">as</span><span class=\"w\"> </span><span class=\"nn\">sym</span>\n<span class=\"n\">x</span><span class=\"p\">,</span> <span class=\"n\">k</span><span class=\"p\">,</span> <span class=\"n\">L</span><span class=\"p\">,</span> <span class=\"n\">H</span> <span class=\"o\">=</span> <span class=\"n\">sym</span><span class=\"o\">.</span><span class=\"n\">symbols</span><span class=\"p\">(</span><span class=\"s1\">'x, k, L, H'</span><span class=\"p\">)</span>\n<span class=\"n\">w</span> <span class=\"o\">=</span> <span class=\"n\">sym</span><span class=\"o\">.</span><span class=\"n\">Function</span><span class=\"p\">(</span><span class=\"s1\">'w'</span><span class=\"p\">)</span>\n\n<span class=\"n\">ODE_shear</span> <span class=\"o\">=</span> <span class=\"c1\">#YOUR CODE HERE</span>\n</pre></div>\n</div>\n</div>\n</div>\n</section>\n</div>"}
skip_classes = ["headerlink", "sd-stretched-link"]

window.onload = function () {
    for (const [select, tip_html] of Object.entries(selector_to_html)) {
        const links = document.querySelectorAll(`main ${select}`);
        for (const link of links) {
            if (skip_classes.some(c => link.classList.contains(c))) {
                continue;
            }

            tippy(link, {
                content: tip_html,
                allowHTML: true,
                arrow: false,
                placement: 'auto-start', maxWidth: 500, interactive: true, boundary: document.body, appendTo: document.body,
                onShow(instance) {MathJax.typesetPromise([instance.popper]).then(() => {});},
            });
        };
    };
    console.log("tippy tips loaded!");
};
